# Traefik Configuration

Traefik reverse proxy and load balancer configuration.

## Files

- `traefik.yml` - Static configuration
- `dynamic/routes.yml` - HTTP routing rules
- `dynamic/middlewares.yml` - Middleware definitions (CORS, rate limiting, security headers)

## Usage

Traefik will automatically discover services via Docker labels or file-based configuration.

## Routes

- `/api/v1/auth/*` -> Auth Service
- `/api/v1/users/*` -> Auth Service

## Middlewares

- `secure-headers` - Security headers
- `cors` - CORS configuration
- `auth-ratelimit` - Rate limiting for auth endpoints
- `compress` - Response compression
